List Secret Assets
GET
/v1/portal/secret-assets
const url = 'https://example.com/v1/portal/secret-assets?scope=project&project_slug=&environment=dev&customer_slug=&runtime_provider=&tenant_id=';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/portal/secret-assets?scope=project&project_slug=&environment=dev&customer_slug=&runtime_provider=&tenant_id='Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”scope
Scope
string
project_slug
Project Slug
string
environment
Environment
string
customer_slug
Customer Slug
string
runtime_provider
Runtime Provider
string
tenant_id
Tenant Id
string
Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
PortalSecretAssetListOut
object
items
Items
Array<object>
PortalSecretAssetOutobject
key_name
Key Name
string
title
Title
string
description
Description
string
scope
Scope
string
project_slug
Project Slug
string
environment
Environment
string
customer_slug
Customer Slug
string
runtime_provider
Runtime Provider
string
owner_team
Owner Team
string
status
Status
string
rotation_strategy
Rotation Strategy
string
reload_strategy
Reload Strategy
string
validation_policy
Validation Policy
Array<string>
lineage_refs
Lineage Refs
Array<string>
impact_targets
Impact Targets
Array<object>
PortalSecretAssetImpactOutobject
target_type
Target Type
string
target_ref
Target Ref
string
reason
Reason
string
last_changed_by
Last Changed By
string
last_changed_at
Last Changed At
string
storage_label
Storage Label
string
scopes
Scopes
Array<string>
source_of_truth
Source Of Truth
string
Example
{ "items": [ { "key_name": "", "title": "", "description": "", "scope": "project", "project_slug": "", "environment": "", "customer_slug": "", "runtime_provider": "", "owner_team": "", "status": "unknown", "rotation_strategy": "manual", "reload_strategy": "next_start", "impact_targets": [ { "target_type": "", "target_ref": "", "reason": "" } ], "last_changed_by": "", "last_changed_at": "", "storage_label": "FractalOps managed secret" } ], "source_of_truth": "fractalops-lineage+openbao"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}